<template>
	<div class="layer-bg mk-confirmation">
		<div class="mk-order-bg"></div>
		<div class="flex flex-col mx-auto max-w-screen-xl">
			<MkPageSpinner v-if="SHOW_PAGE_SPINNER" />
			<MkActivatedConfirmationLayout />
		</div>
	</div>
</template>
<script>
import { mapState } from 'vuex';
import MkActivatedConfirmationLayout from '~/components/D2C/organisms/MkActivatedConfirmationLayout.vue';
import MkPageSpinner from '~/components/D2C/atoms/MkPageSpinner/MkPageSpinner.vue';
export default {
	components: {
		MkActivatedConfirmationLayout,
		MkPageSpinner,
	},
	layout: 'aurora-layout',
	middleware: 'auth',
	head() {
		return {
			title: 'Order Success',
			script: [
				{
					innerHTML:
						"window._talkableq=window._talkableq||[];_talkableq.push(['init',{site_id:'" +
						process.env.talkable_site_id +
						"'}]);window._talkableq.push(['authenticate_customer',{email:'',first_name:'',last_name:'', traffic_source: ''}]);window._talkableq.push(['register_affiliate',{}]);",
					type: 'text/javascript',
				},
				{
					src: '//d2jjzw81hqbuqv.cloudfront.net/integration/clients/' + process.env.talkable_site_id + '.min.js',
					async: true,
				},
			],
			__dangerouslyDisableSanitizers: ['script'],
			bodyAttrs: {
				class: this.$style && this.$style.talkable,
			},
		};
	},
	computed: {
		...mapState('CHECKOUT_STORE', ['SHOW_PAGE_SPINNER']),
	},
};
</script>
<style lang="postcss">
.talkable {
	background-color: #f2f2f2;
}
.mk-confirmation .mk-order-bg{
	background: #cfe9db;
	position: absolute;
	left: 0;
	right: 0;
	height: 380px;
	z-index: -1;
}
</style>
